import { ThemeProvider, CssBaseline, Theme } from '@mui/material'
import theme from './createMuiTheme'
import providers from 'react-manage-providers'

// initialize MUI theme
const MuiThemeProvider = ({ theme, children }: React.PropsWithChildren<{ theme: Theme }>) => <ThemeProvider theme={theme}>
  <CssBaseline />
  {children}
</ThemeProvider>
providers.push(MuiThemeProvider, { theme })
